/* Imports */
@import './components/commons/themes';


/* Roboto regular */

@font-face {
    font-family: "Roboto";
    src: url("/assets/fonts/Roboto-Regular.ttf") format("truetype");
    font-weight: 400;
    font-style: normal;
}

/* Roboto italic */

@font-face {
    font-family: "Roboto";
    src: url("/assets/fonts/Roboto-Italic.ttf") format("truetype");
    font-weight: 400;
    font-style: italic;
}

/* Roboto bold */

@font-face {
    font-family: "Roboto";
    src: url("/assets/fonts/Roboto-Bold.ttf") format("truetype");
    font-weight: 700;
    font-style: normal;
}


/* Globals */

body {
	margin: 0;
	padding: 0;
	color: var(--text-color);

	font-family: "Roboto";
	font-weight: 400;
	font-style: normal;

	overflow: hidden;

	background: var(--bg-color);
}

.form {
	& > .form-group {
		width: calc(100% - 1.2em);

		display: flex;
		align-items: center;
		justify-content: center;

		margin: 0.6em;

		& > * {
			width: 40%;
		}

		& > label {
			text-align: right;
			padding-right: 0.4em;
		}

		& > input {
			padding: 0.3em;
			border-radius: 0.5em;
			border: var(--box-detail-color2) 2px solid;
			font-size: 1em;

			&:focus {
				outline: none !important;
			}
		}
	}

	& > .only-input > * {
		width: 80%;
	}
}

button,.button {
	background: var(--main-color);
	text-transform: uppercase;
	font-weight: bold;
	padding: 0.6em 1.3em;
	color: #FFF;
	border: none;
	border-radius: 5px;
	cursor: pointer;

	&:hover {
		background: var(--main-color-hover);
	}

	&:focus {
		outline: none !important;
	}
}

.center {
	width: 100%;

	display: flex;
	align-items: center;
	justify-content: center;
}

.required {
	&::after {
		content: '*';
		color: rgb(199, 76, 76);
		margin-left: 0.1em;
	}
}

input.input-selected {
	border: var(--selection) solid 2px !important;
	box-shadow: 0 0 4px 0 var(--selection);
}

.box-selected {
	box-sizing: border-box;
	border: var(--selection) solid 2px !important;
	box-shadow: 0 0 4px 0 var(--selection);
}
